> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload face image



## OpenAPI

````yaml api-reference/openapi.json post /{character_id}/upload/face-image
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/upload/face-image:
    post:
      tags:
        - Character Upload
      summary: Upload face image
      operationId: uploadFaceImage
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
      responses:
        '200':
          description: Upload accepted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    UploadResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        asset_id:
          type: string
        storj_url:
          type: string
          format: uri
        view_url:
          type: string
          format: uri
        filename:
          type: string
        caption:
          type: string
        caption_status:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````